#!/usr/bin/env python
"""
alignments_list.py - PyAnnHyb
     Copyright (C) 2008-2011 Olivier Friard

  This file is part of PyAnnHyb.

PyAnnHyb is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

PyAnnHyb is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PyAnnHyb; see the file COPYING.TXT.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
"""


from PyQt4.QtCore import *
from PyQt4.QtGui import *

import alignments_list_ui

class AlignmentsList(QDialog):

    def __init__(self, parent=None):
        QWidget.__init__(self, parent)
        self.ui = alignments_list_ui.Ui_Dialog()
        self.ui.setupUi(self)

        QObject.connect(self.ui.pbClose, SIGNAL("clicked()"), self.pbClose_clicked)
        QObject.connect(self.ui.pbCheckAll, SIGNAL("clicked()"), self.pbCheckAll_clicked)
        QObject.connect(self.ui.pbUnCheckAll, SIGNAL("clicked()"), self.pbUnCheckAll_clicked)

    def pbCheckAll_clicked(self):
        for row in range(self.ui.twAlignmentsList.rowCount()):
            self.ui.twAlignmentsList.item(row, 0).setCheckState(Qt.Checked)

    def pbUnCheckAll_clicked(self):
        for row in range(self.ui.twAlignmentsList.rowCount()):
            self.ui.twAlignmentsList.item(row, 0).setCheckState(Qt.Unchecked)


    def pbClose_clicked(self):
        self.accept()

