#!/usr/bin/env python

from PyQt4.QtCore import *
from PyQt4.QtGui import *

import features_list_ui

class FeaturesList(QDialog):
    index=None
    indexDict=None
    command=None
    value=None
    def __init__(self, parent=None):
        QWidget.__init__(self, parent)
        self.ui=features_list_ui.Ui_Dialog()
        self.ui.setupUi(self)
        
        QObject.connect(self.ui.pbClose,SIGNAL("clicked()"),self.pbClose_clicked)
        QObject.connect(self.ui.pbDelete,SIGNAL("clicked()"),self.pbDelete_clicked)
        QObject.connect(self.ui.twFeaturesList,SIGNAL("cellChanged(int,int)"),self.twFeaturesList_cellChanged)                
        QObject.connect(self.ui.twFeaturesList,SIGNAL("cellDoubleClicked(int,int)"),self.twFeaturesList_doubleClicked)
   
    def twFeaturesList_doubleClicked(self,row,column):
        if column==4:
            self.index=(row,column)
            self.indexDict=self.ui.twFeaturesList.item(row,4).data(Qt.UserRole).toString()  #id feature stored in color column
            dummyColor=self.ui.twFeaturesList.item(row,column).backgroundColor()
            self.command='changed'
            color=QColorDialog.getColor(dummyColor,self)
            self.value=color.getRgb()
            self.accept()
 
    def twFeaturesList_cellChanged(self,row,column):
        """return (row,column) of changed cell"""
        item=self.ui.twFeaturesList.item(row,column)
        if self.ui.twFeaturesList.isItemSelected(item):
            if column<>4: #no color changed
                self.index=(row,column)
                self.indexDict=self.ui.twFeaturesList.item(row,4).data(Qt.UserRole).toString()  #id feature stored in color column
                self.command='changed'
                if column in [1,2]:
                    self.value=int(item.text())
                elif column in [0,3]:
                    self.value=item.text()    
                self.accept()
            else:
                self.ui.twFeaturesList.item(row,column).setText(QString(''))    
 
    def pbDelete_clicked(self):
        #print 'delete feature'
        #print  len(self.ui.twFeaturesList.selectedIndexes())
        #print  self.ui.twFeaturesList.selectedIndexes()[0].row()
        if self.ui.twFeaturesList.selectedIndexes():
            self.command='delete'        
            self.index=self.ui.twFeaturesList.selectedIndexes()[0].row()
            self.indexDict=self.ui.twFeaturesList.item(self.ui.twFeaturesList.selectedIndexes()[0].row(),4).data(Qt.UserRole).toString()
            self.accept()
        

    def pbClose_clicked(self):
        self.accept()

